
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/pyproject.py)

    execute_process(COMMAND which python OUTPUT_VARIABLE Python3_EXECUTABLE OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process(COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyproject.py OUTPUT_VARIABLE Pyproject_OUTPUT OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(Pyproject_OUTPUT)
        message(STATUS ${Pyproject_OUTPUT})
    endif()

    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/README)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README ${CMAKE_CURRENT_BINARY_DIR}/README COPYONLY)
    endif()
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/README.md)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/README.md ${CMAKE_CURRENT_BINARY_DIR}/README.md COPYONLY)
    endif()
    
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/LICENSE ${CMAKE_CURRENT_BINARY_DIR}/LICENSE COPYONLY)
    endif()
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md ${CMAKE_CURRENT_BINARY_DIR}/LICENSE.md COPYONLY)
    endif()
endif()